You are running an operating system that Photoshop no longer supports. Mine is mac OS X version 10.6.8. I have adobe suite CS4, and I can't get too far with that! I was trying to upgrade. Any advice?

You are running an operating system that Photoshop no longer supports. Mine is mac OS X version 10.6.8. I have adobe suite CS4, and I can't get too far with that! I was trying to upgrade. Any advice?

psynikk,
I went to that link, but to get started downloading the site says...(and I don't have CS6, or else I wouldn't be stuck in this position. Thanks though.)
Read before you download a CS6 product
You need your CS6 serial number to complete the installation.

Similar Messages

Maybe you are looking for

  • "The iPod cannot be updated. The disc could not be read from or written to"

    What do I do?!?! I sent back the first one coz there was a gap in the click wheel and it was possible to get the photos onto my iPod. Now...not so much.

  • IPad: Email calendar invites don't work well

    When receiving an email invite I am able to process the invitation with ease on my iPhone 4s (running 5.0.1). Specifically, I can alter alerts and select among the many calendars I have. The process works flawlessly. When trying to perform the same,

  • Leopard cannot be installed on MacBook Air

    I have not been able to install Leopard on my MacBook Air because of an error message "Mac OS X cannot be installed on "Macintosh HD", because this disk cannot be used to start up your computer." I have gotten this message when trying to install Leop

  • Need hierarchy alv report base on salv_demo_hierseq_simple

    Hi friends, i need to do a hierarchy alv report, i copied example code from program salv_demo_hierseq_simple and changes the selection screen +changed the  select from tables. my problem is that the results is one big list of data, i dont have to ope

  • Is there going to be Nikon d7100 Raw Support on Snow Leopard?

    Hi, i just bought a Nikon d7100 and I realized that I cannot see RAW files in Aperture when running Snow Leopard OK, i understand that I can upgrade to Mountain Lion to solve the problem by using the RAW support released a few months ago or use other